EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
EMF::EMRSTROKEANDFILLPATH Class Reference

EMF Stroke and Fill path. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRSTROKEANDFILLPATH:

## Public Member Functions
| EMRSTROKEANDFILLPATH (const RECTL *bounds)
| EMRSTROKEANDFILLPATH (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Stroke and Fill path.

Stroke and Fill the path.

## Constructor & Destructor Documentation

EMF::EMRSTROKEANDFILLPATH::EMRSTROKEANDFILLPATH | ( | const RECTL * | bounds | ) |
| inline

Parameters

  bounds | overall bounding box of polygon.

EMF::EMRSTROKEANDFILLPATH::EMRSTROKEANDFILLPATH | ( | DATASTREAM & | ds | ) |
| inline

Create a StrokeandfillPath record from input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

void EMF::EMRSTROKEANDFILLPATH::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc
| ) |  | const
| inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

bool EMF::EMRSTROKEANDFILLPATH::serialize | ( | DATASTREAM | ds | ) |
| inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

int EMF::EMRSTROKEANDFILLPATH::size | ( | void |  | ) | const
| inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h